<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="fill_parent"
        android:layout_height="fill_parent" 
        android:orientation="horizontal"
        android:padding="15dip"
        >
    
        <TextView
            android:layout_width="160dp"
            android:layout_height="wrap_content"
            android:id="@+id/msg_tv" 
            android:gravity="left"
            android:textSize="16.0sp" 
            android:text="msg"
           	android:layout_alignParentRight="true"
         />

        <!--             	 android:background="#00FF00"
         -->
    
        <TextView
            android:layout_width="100dp"
            android:layout_height="wrap_content"
            android:id="@+id/date_tv" 
            android:gravity="right"
            android:textSize="16.0sp" 
            android:text="jour"
           	android:layout_alignParentRight="true"
         />

        <!--                     	android:background="#884400"
         -->
        
        <TextView
            android:layout_width="60dp"
            android:layout_height="wrap_content"
            android:id="@+id/time_tv" 
            android:gravity="right"
            android:textSize="16.0sp" 
            android:text="time"
           	android:layout_alignParentRight="true"
         />
        
        <!--             	 android:background="#AAFF00"
         -->

    </LinearLayout>   